%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-djblets
Version:        0.7.30
Release:        2%{?dist}
Summary:        A collection of useful classes and functions for Django
Group:          Applications/Internet
# Djblets is MIT licensed:
# http://code.google.com/p/reviewboard/wiki/Djblets
# Jquery is bundled in Djblets. Jquery is dual-licensed MIT or GPLv2, hence
# the package license is "MIT and (MIT or GPLv2)":
# https://www.redhat.com/archives/fedora-legal-list/2009-May/msg00025.html
License:        MIT and (MIT or GPLv2)
URL:            http://www.review-board.org
Source0:        http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-django-pipeline >= 1.2.24

Requires:       python-imaging
Requires:       pytz
Requires:       python-feedparser >= 5.1.2
Requires:       python-django-pipeline >= 1.2.24
Conflicts:      python-django-pipeline >= 1.3.0

# Distro-release-specific
# Change this for each branch
BuildRequires:  python-django14
Requires:       python-django14

# Upstream-submitted patches

# Fedora-specific patches
Patch1001: FED01-Fix-dependencies.patch

%description
A collection of useful classes and functions for Django

%prep
%setup -q -n Djblets-%{version}

%patch1001 -p1

# Remove packaged egg-info so it's regenerated by setup.py
rm -Rf Djblets*.egg-info


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --root $RPM_BUILD_ROOT

# Remove bundled copy of feedparser.py
rm -f $RPM_BUILD_ROOT%{python_sitelib}/djblets/feedview/feedparser.py*

# Remove the "tests" subdirectory to avoid it polluting the main python
# namespace:
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS README PKG-INFO AUTHORS
%{python_sitelib}/Djblets*.egg-info/
%{python_sitelib}/djblets/

%changelog
* Sat Jun 07 2014 Stephen Gallagher <sgallagh@redhat.com> 0.7.30-2
- Drop upstreamed patch

* Fri Jun 06 2014 Stephen Gallagher <sgallagh@redhat.com> 0.7.30-1
- New upstream security release 0.7.30
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.30.NEWS

* Wed Apr 09 2014 Stephen Gallagher <sgallagh@redhat.com> 0.7.29-1
- New upstream release 0.7.29
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.29.NEWS

* Fri Feb 21 2014 Stephen Gallagher <sgallagh@redhat.com> 0.7.28-2
- Generate requires.txt with values appropriate for Fedora

* Thu Jan 02 2014 Stephen Gallagher <sgallagh@redhat.com> - 0.7.28-1
- New upstream release 0.7.28
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.28.NEWS
  * djblets.auth:
    * Fixed HTTP 500 errors when failing to save the registration form

* Thu Dec 12 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.27-1
- New upstream release 0.7.27
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.25.NEWS
  * djblets.auth:
    * Added some human-readable labels for RegistrationForm.
    * RegistrationForm subclasses that make use of fields that normalize to
      non-strings no longer fail to save.
  * djblets.webapi:
    * Usernames with plus signs in them are now matched in the API.
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.26.NEWS
  * djblets.util.fields:
    * Fixed JSONField in the administration UI.
  * djblets.webapi:
    * Added support for web API authentication backends.
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.27.NEWS
  * Fixed a regression with the new webapi auth backend support

* Wed Nov 27 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.24-1
- New upstream release 0.7.24
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.24.NEWS
  * djblets.util.http:
    * Fixed ETag matching

* Tue Nov 05 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.23-1
- New upstream release 0.7.23
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.21.NEWS
  * djblets.webapi:
    * Added a has_list_access_permissions function, which is used to determine
      access to a list resource.
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.22.NEWS
  * djblets.extensions:
    * AJAX_SERIAL is updated when extensions are enabled/disabled or their
      configuration changes, allowing templates using AJAX_SERIAL as part of
      their cache to invalidate.
  * djblets.siteconfig:
    * Reduced query counts for installs using siteconfig.
  * djblets.webapi:
    * Reduced query counts when returning payloads for list resources  with no
      entries.
    * Common attribute lookups on WebAPIResource are now cached.
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.23.NEWS
  * djblets.extensions:
    * Fix URL errors when configuring extensions with a custom SITE_ROOT.
  * djblets.util.fields:
    * JSONFields can now be safely edited through the administration UI,
      complete with validation.
  * jquery.gravy:
    * Fixed hiding the pencil icons on an inlineEditor when disabled.

* Sun Oct 13 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.7.21-1
- New upstream bugfix release 0.7.21
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.21.NEWS
- Added a has_list_access_permissions function, which is used to
          determine access to a list resource.

* Fri Oct 11 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.20-1
- New upstream bugfix release 0.7.20
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.20.NEWS
- Fixed regression with pagination on the datagrid

* Thu Oct 10 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.19-1
- New upstream security release 0.7.19
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.19.NEWS
- Resolves: CVE-2013-4409
- Resolves unsanitized eval() vulnerability

* Mon Sep 23 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.18-1
- New upstream security release 0.7.18
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.18.NEWS
- Web API resource lists are now more careful about access permissions.

* Thu Aug 15 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.17-1
- New upstream release 0.7.17
- http://downloads.reviewboard.org/releases/Djblets/0.7/Djblets-0.7.17.NEWS

* Mon Jul 29 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.16-1
- New upstream release 0.7.16
- This release contains security fixes in the datagrid
- JavaScript:
    * autoSizeTextArea now cleans up its hidden proxy elements when destroyed.
    * inlineEditor can be told not to focus a textarea by default by setting
      'focusOnOpen' to false.
    * modalBox can place itself in an element other than <body> by setting the
      'container' option to the element.
    * modalBox takes a 'boxID' option that, if specified, will set the ID of
      the modalBox element.
    * funcQueue now takes an optional context parameter for callback functions.
- djblets.datagrid:
    * Data pulled from the database and rendered into cells are always escaped
      now.
    * Columns can now specify an image_class instead of an image_url.
    * Added a JavaScript reload() function that can be called on a datagrid
      element to trigger a dynamic reload from the server.
- djblets.extensions:
    * Extensions can now specify their list of app directories.
    * Extensions can now specify the author's URL.
    * Improved the look and feel for extension configuration.
    * Improved the functionality for extension configuration.
    * Improved the list of available extensions.

* Mon Jun 03 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.15-1
- New upstream release 0.7.15
- djblets.log:
    * Added enhanced request logging
- djblets.siteconfig:
    * Changing and loading the site_static_url setting will now actually cause
      static media files to be loaded from that URL
- JavaScript:
    * inlineEditor now emits a "cancel" event when pressing OK without any
      modifications. Previously, there was no indication that it had finished.
    * inlineEditor's "complete" event now has the initialValue parameter (which
      comes after the new value) set correctly. Previously, it was always the
      same as the value, making it hard to determine if anything had changed.
    * $.fn.html() now works with setting empty strings.
- djblets.gravatars:
    * Added get_gravatar_url_for_email
- djblets.webapi:
    * The cache of known URI templates for a RootResource now works properly
      when the path leading to the RootResource can change
    * When serializing an object while using ?expand, any QuerySet will be
      converted to a list. This prevents any changes from happening between
      serializing and rendering
    * Added a "is_webapi_handler" attribute to WebAPIResource
- djblets.extensions:
    * Extension classes can now define a 'metadata' variable to override the
      package's metadata. This uses standard PyPI metadata fields. Using this,
      single Python package can provide several extensions.
    * TemplateHooks subclasses can now override a new render_to_string function
      to do their own processing and rendering, instead of simply rendering
      the provided template_name.
    * The template_name parameter to TemplateHook is now optional.
    * The Django template loader cache is now reset when syncing extension
      settings or enabling/disabling an extension

* Mon Apr 22 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.12-1
- New upstream release 0.7.12
- djblets.datagrid:
    * Massively speed up datagrid rendering
- djblets.extensions:
    * Added an install_extension function to ExtensionManager
- djblets.util.fields:
    * CounterField now allows incrementing/decrementing by values other than 1
- djblets.util.templatetags:
    * The thumbnail and crop_image template tags now work with Django Storage
      backends
    * Added a save_image_to_storage function in djblets_images that makes it
      easy to save image data to Storage backends
- djblets.webapi:
    * Resources now consider both Last Modified and ETag headers simultaneously
      when determining if a cached payload is still valid. Previously, if the
      Last Modified timestamps were the same, the ETag check would fail

* Wed Apr 10 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.11-2
- Guarantee that Djblets builds against the correct version of Django

* Thu Feb 21 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.11-1
- New upstream release 0.7.11
- djblets.util.fields:
    * CounterField was failing to use the initializers for brand new
      instances of a model, defaulting to None instead
- General:
    * Require Django 1.4.5 as a minimum
- djblets.extensions:
    * "config/" and "db/" links for extensions are now generated
      properly when specifying a custom SITE_ROOT
- djblets.log:
    * Added an Admin UI setting for changing log levels
- djblets.siteconfig:
    * Added new 'list-siteconfig', 'get-siteconfig', and 'set-siteconfig'
      management commands for manipulating siteconfig configuration
      from the shell

* Thu Feb 07 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.9-2
- Fix version requirement to protect against django-pipeline 1.3.0

* Mon Jan 28 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.7.9-1
- New upstream release 0.7.9
- JavaScript:
    * modalBoxes now use z-indexes of 99 and 100 for the box and content,
      instead of 11000 and 11001.
- djblets.datagrid:
    * Columns data by way of field access can now span field relationships.
- djblets.extensions:
    * Fixed a failure when clearing extension info.
- djblets.siteconfig:
    * When loading the stored timezone, we're now longer setting
      os.environ['TZ'] to that timezone. Instead, we're just activating
      that timezone for Django only.
- djblets.webapi:
    * Fixed a bug where list resources that had an unknown ID in the URL
      could end up throwing an exception instead of returning a 404.

* Thu Dec 20 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.8-1
- New upstream release 0.7.8
- JavaScript:
    * Fixed a crash when enabling/disabling an inlineEditor without an edit
      icon.

* Wed Dec 19 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.7-1
- New upstream release 0.7.7
- djblets.datagrid:
    * Fixed a possible XSS exploit in datagrids
    * Failures during rendering the datagrid now results in a traceback
- JavaScript:
    * The second display of an inlineEditor no longer breaks the size of the
      editor

* Thu Dec 13 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.6-1
- New upstream release 0.7.6
- General:
-  * Django 1.4.2 is now required
-  * All admin-related templates have been changed to better fit the admin
     template structure and styles. This includes siteconfig and logs.
- djblets.extensions:
-  * Extension lists and state are now synchronized across
     threads/processes/servers
-  * Extension subclasses now must capture all variable arguments
     (*args, **kwargs) and pass them to the parent constructor
-  * URLHook, admin URLs, and API resource URLs are all now added and removed
     properly when an extension is enabled or disabled
- djblets.util:
-  * Cache keys are now bound to the SITE_ROOT, if one is set, to prevent
     leakage across instances
-  * Added DynamicURLResolver in djblets.util.urlresolvers
- djblets.util.cache:
-  * Added normalize_cache_backend
- djblets.webapi:
-  * API handler functions that specify allow_unknown=True in
     @webapi_request_fields can now retrieve all extra fields as an
     'extra_fields' argument
-  * Added unregister_resource_for_model
- djblets.siteconfig:
-  * The stored cache_backend setting is now deserialized into
     settings.CACHES['backend']
-  * Fixed a couple missing imports
-  * Siteconfig now handles old-style CACHE_BACKEND values and new-style
     CACHES[cachename] dictionaries in the 'cache_backend' setting
- JavaScript:
-  * The jQuery dependency has been updated to 1.8.2, and jQuery-UI to 1.8.24
-  * inlineEditor's animation speed has increased, and is now customizable
     through options.fadeSpeedMS
-  * inlineEditor now does a better job of matching the parent container's
     bounds
-  * inlineEditor no longer activates when simply selecting text
-  * Added a $.fn.retinaGravatar function that, on Retina-capable displays,
     requests a larger gravatar for the given URL specified in an <img/>\
-  * inlineEditor now supports changing an "enabled" option, allowing editors
     to start out enabled or disabled, or dynamically change that state

* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.2-1
- New upstream release 0.7.2
- Drop upstreamed patch to use system feedparser
- General:
-     Styled all admin UI templates to add a "title" class to <h1> page
      titles. This affects extensions, log viewer, and siteconfig.
- djblets.log:
-     Fixed the columns to match the style of other admin UI columns.
- djblets.pipeline:
-     Our 'bless' compiler is now compatible with the latest versions
      of pipeline
- JavaScript:
-     modalBox's positioning is now properly centered


* Wed Aug 08 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.1-3
- Use the system feedparser.py

* Fri Aug 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.1-1
- New upstream release 0.7.1
- Support for ReviewBoard 1.7beta1
- General:
-     Djblets now requires Django 1.4.1+
-     Added localized timezone awareness
-     Djblets now uses Django's standard static media support
- djblets.datagrid:
-     DateTimeColumn and DateTimeSinceColumn are now timezone-aware
- djblets.extensions:
-     Added a framework for supporting loadable, configurable extensions in
      Django-based sites
- djblets.util:
-     ModificationTimestampField, http_date, and the the ageid filter have
      been made timezone-aware

* Tue Jul 31 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.22-1
- New upstream releae 0.6.22
- Fixes to support Review Board 1.6.11
- djblets.datagrid:
-     Improved performance of the datagrids
- djblets.util:
-     The ifuserorperm template tag now accepts both IDs and User
      objects, allowing comparisons to be made without fetching the
      User
-     Fixed a bug with ifuserorperm and non-int IDs
-     User and AnonymousUser are no longer imported globally in
      the djblets_utils templatetags. This fixes some breakages in
      apps that imported this file to get access to filters, but weren't
      running in a Django settings environment

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.19-1
- New upstream release 0.6.19
- JavaScript:
-     inlineEditor no longer bubbles keypress events up

* Tue Jun 05 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.18-1
- New upstream release 0.6.18
- djblets.siteconfig:
-     Settings form rows in the template now have IDs indicating the row and
      CSS class names
-     Help text for fields are now marked as safe, so that the contents
      aren't escaped
-     The form's disabled_reasons is no longer assumed to be populated
-     The initial field values are now always set
- djblets.util:
-     Added a json_dumps filter, which serialized a value to JSON

* Wed Apr 25 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.17-2
- Fix Django requirement for F18+
- Guarantee rebuild of egg-info

* Wed Apr 25 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.17-1
- New upstream release 0.6.17
- djblets.gravatars:
-     Gravatars are no longer hard-coded to be jpegs. This was breaking some
      gravatars.
- JavaScript:
-     inlineEditor now has a showRequiredFlag option for indicating if a field
      is required.
-     inlineEditor now indicates when its dirty state changes

* Mon Feb 27 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.16-1
- New upstream release 0.6.16
- djblets.pipeline:
-     Replaced the djblets.compress module with djblets.pipeline.
- djblets.util:
-     Fixed Django 1.4 compatibility.
-     Fix parsing of tokens in a blocktag in Django 1.4
- djblets.datagrid:
-     Removed an extraneous </span> in the paginator
-     Fixed a compatibility issue with Django 1.4 in the queries
- djblets.webapi:
-     Add support for resource-specific mimetypes
-     Accept "true" as a valid boolean value in the web API

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 10 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.14-1
- New upstream release
- djblets.testing:
-     Added a new TestCase class and @add_fixtures decorator for having
      fixtures specific to text functions.
- djblets.util:
-     Fixed defaults on counter fields on new model instances.
-     Added a controlled_subprocess context manager for Python 2.5+.
-     Moved controlled_subprocess into djblets.util.contextmanagers.
-     Fixed a syntax error in controlled_subprocess on Python 2.4 and 2.5.
-     The jQuery and jQuery-UI versions are now referenced in only one place,
      in js/jquery.html and js/jquery-ui.html. Other templates can include
      these and keep up-to-date with the versions Djblets provides.
- djblets.log:
-     Allow logging page access times.
-     Include the HTTP method in the new page request logs.
- djblets.webapi:
-    API authorization failures, misparsed headers, and authorization attempts
     are now logged.
-    Fixed authentication failures when ":" was in the password.
- djblets.compress:
-    Added a new filters for django-compress that handles lesscss
     (http://lesscss.org) files and automatically converts/deploys as CSS.
-    Added new templates for django-compress that handles the MEDIA_SERIAL
     suffix.
- djblets.siteconfig:
-     The settings template now allows fields to not have a label by setting
      "fields_no_label" to True in the form class.

* Tue Sep 13 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.11-1
- djblets.testing:
  * Added a new TestCase class and @add_fixtures decorator for
    having fixtures specific to text functions.
- djblets.util:
  * Fixed defaults on counter fields on new model instances.

* Mon Aug 22 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.10-1
- New upstream release 0.6.10
- Required for ReviewBoard 1.5.6

* Mon Jul 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.9-15
- New upstream release 0.6.9
- Required for ReviewBoard 1.6

* Thu Jun 23 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.8-14
- New upstream release 0.6.8
- djblets.datagrid:
- * Fixed an occasional ValueError with the datagrid.
-   On occasion, the "active" state of a column can sometimes be
-   True when the column isn't in self.datagrid.columns, which meant
-   it would throw a ValueError when trying to remove itself from the
-   list. We're more bullet-proof now.
- djblets.gravatars:
- * The gravatar templatetag no longer errors out if the provided user
-   is anonymous.
- djblets.log:
- * The "Logging to..." lines are now only logged when settings.DEBUG
-   is on.
- djblets.util:
- * JSONField no longer errors out if blank=False is used. (Bug #2015)
- * Fixed escaping of label names in label_tag() on newer versions
-   of Django.
- djblets.webapi:
- * Fixed a problem when settings.WEB_API_ENCODERS isn't set.
-   Our fallback for when this setting wasn't set was broken, causing
-   new errors.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.7-12
- New upstream release 0.6.7
- djblets.datagrid:
-    The datagrids now use a RequestContext when rendering cells, allowing
-    the columns or templates to access data from context processors.

- djblets.siteconfig:
-    The form body of a siteconfig settings page can now be replaced.
-    It's now stored in the "form_content" block.

-    SiteConfigurationManager no longer crashes if trying to clear
-    the cache for a SiteConfiguration that no longer exists.

- djblets.testing:
-    The Selenium test suite has been updated to support Django 1.2's
-    multi-database support. Previously, fixtures would fail to load
-    if using the new settings.DATABASES variable.

- djblets.util:
-    The @augment_method_from decorator wasn't properly calling up the
-    decorator chain, preventing some decorators from being invoked. This
-    has been fixed to ensure all decorators are called.
-
- djblets.webapi:
-    Due to the @augment_method_from breakage listed above, webapi
-    decorators could fail to add their own checks, causing various
-    problems in field checking and authentication. This is now fixed.

-    The Permission Denied (HTTP 403) errors being returned weren't
-    sufficient for clients that weren't authenticated. Now, an
-    unauthenticated client will instead see Not Logged In (HTTP 401)
-    errors.
-
-    The HTTP_AUTHORIZATION header is now checked on all requests. When
-    provided by the client, it will be used for authentication. This
-    means that clients can now force a login from their very first
-    request on, instead of requiring a HTTP 401 Unauthorized being
-    sent out first.
-
-    This will also prevent multiple logins across different requests
-    from the same client, when the HTTP_AUTHORIZATION header is passed
-    on each request. This makes requests less heavy-weight and prevents
-    the last_login timestamp on the User from being updated on each
-    request.
-
-    As part of this change, any webapps manually using the
-    @webapi_login_required decorator without the new resource code
-    will no longer support HTTP Basic auth. However, this was never
-    a supported feature anyway, and was more there by accident.
-
-    The 'api_format' parameter in requests is now treated specially
-    and doesn't trigger any invalid attribute errors during field
-    validation.
-
-    WebAPIResource.delete now uses get_object instead of fetching
-    the object directly, which simplifies the function and guarantees
-    that the correct object is used (especially when a resource
-    overrides get_object).
-
-    Redirects now preserve any special parameters ("callback",
-    "_method", "expand", and "api_format") passed to the request.
-    This works around problems in HTTP implementations that don't
-    allow the caller to know that redirects occurred (such as major
-    browsers), which would lead to this information being stripped and
-    the wrong results being returned.
-
-    The "expand" parameter for expanding links in payloads is now
-    supported for POST and PUT requests.

* Mon Nov 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.6.6-11
- New upstream release 0.6.6
- djblets.util:
-    Fixed a compatibility problem with JSONField and Django 1.1. It
-    was assuming support for Django 1.2's multi-database support.
-    Fixed multi-database support in Django 1.2 with JSONField, where
-    the default connection was always being used in one case.

* Mon Nov 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.6.5-10
- djblets.datagrid:
-     MEDIA_SERIAL is now used for all the images in the datagrid
-      template. Patch by Ben Hollis.
- djblets.util:
-     Added a @root_url decorator for use with get_absolute_url
-     implementations, which appends SITE-ROOT to any returned URLs.
-     Added a CounterField for atomically updating counters.
-     CounterField can be used to atomically increment or decrement
-     an integer stored in the database, on individual models or
-     on many models at a time. It's intended to substitute for
-     potentially expensive or numerous SQL queries that retrieve
-     counts of objects.
-     Updated the custom fields for Django 1.2 multi-database
-     compatibility.
- djblets.webapi:
-     Fixed a bug in serializing 'long' values in XML.
-     Resources now Vary on HTTP Accept, meaning that the browser won't
-     cache the wrong response type when accessing the same resource
-     with two different requested mimetypes.
-     Reduced the SQL query count for resources.
-     Fixed problems that could occur with URLs when serializing objects in
-     a list and when returning links.

* Mon Sep 20 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.6.4-9
- New upstream release 0.6.4
- http://downloads.reviewboard.org/releases/Djblets/0.6/Djblets-0.6.4.NEWS

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.3-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 06 2010 Stephen Gallagher <sgallagh@redhat.com> 0.6.3-7
- Added utility functions for HTTP Accept-based content negotation.
- Add some gravy to make sites work better on iphone/ipad Safari
- Required for ReviewBoard 1.5rc1 and later

* Fri May 14 2010 Stephen Gallagher <sgallagh@redhat.com> 0.6.2-6
- Fixed rendering issues with columns in the datagrids
- Fixed over-caching of columns
- Added a new resource-based model for doing more RESTful APIs
- Required for ReviewBoard 1.5beta2 and later

* Mon Apr 05 2010 Stephen Gallagher <sgallagh@redhat.com> 0.5.9-4
- Translated strings no longer break cache backends
- Performance improvements for djblets.datagrid
- Fix "stale settings" issue. No longer need to restart apache to
- see updated settings
- Use updated web API settings. No longer assume all API calls
- succeed

* Fri Mar 12 2010 Stephen Gallagher <sgallagh@redhat.com> 0.5.7-3
- Correct required minimum Django version to 1.1.1

* Fri Mar 12 2010 Stephen Gallagher <sgallagh@redhat.com> 0.5.7-2
- Update to latest upstream release
- Contains new features required by ReviewBoard 1.5

* Mon Dec 21 2009 Stephen Gallagher <sgallagh@redhat.com> 0.5.6-0
- Update to latest upstream release
- Remove pre-release handling in the package name and spec

* Fri Oct 23 2009 Dan Young <dyoung@mesd.k12.or.us> - 0.5-0.3.rc1
- Fix License tag

* Wed May 13 2009 Dan Young <dyoung@mesd.k12.or.us> - 0.5-0.2.rc1
- BuildRequires: python and python-setuptools

* Thu May  7 2009 David Malcolm <dmalcolm@redhat.com> - 0.5-0.1.rc1
- bump to upstream 0.5rc1
- add NEWS and AUTHORS files as documentation

* Thu May  7 2009 David Malcolm <dmalcolm@redhat.com> - 0.5-0.1.alpha3
- rename from Djblets to python-djblets
- update version/release to try to preserve update path (prerelease issues)
- fix mixed tabs/spaces in specfile (use spaces throughout)
- remove tests subdirectory
- make feedparser.py executable

* Sat Feb  21 2009 Ramez Hanna <rhanna@informatiq.org> 
- First build.
